<template>
  <ContentSection space-before="none">
    <Heading
      v-if="title !== undefined && title !== ''"
      :level="1"
    >
      {{ title }}
    </Heading>

    <Heading
      v-if="subtitle !== undefined && subtitle !== ''"
      :level="2"
    >
      {{ subtitle }}
    </Heading>

    <p v-if="abstract !== undefined && abstract !== ''">
      {{ abstract }}
    </p>
  </ContentSection>
</template>

<script>
import ContentSection from './ContentSection'
import Heading from './Heading'

export default {
  name: 'PageHeader',

  components: {
    ContentSection,
    Heading
  },

  props: {
    /**
     * The abstract of the page layout.
     */
    abstract: {
      type: String,
      default: undefined
    },

    /**
     * The subtitle of the page layout.
     */
    subtitle: {
      type: String,
      default: undefined
    },

    /**
     * The title of the page layout.
     */
    title: {
      type: String,
      default: undefined
    }
  }
}
</script>
